Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jbehave.core.embedder
Class UnmodifiableEmbedderControls

    java.lang.Object
      org.jbehave.core.embedder.EmbedderControls
          org.jbehave.core.embedder.UnmodifiableEmbedderControls

    public class UnmodifiableEmbedderControls

extends EmbedderControls

Nested Class Summary
`static class` | `UnmodifiableEmbedderControls.ModificationNotAllowed`

Constructor Summary
`UnmodifiableEmbedderControls(EmbedderControls delegate)`

Method Summary
`boolean` | `batch()`
`EmbedderControls` | `doBatch(boolean batch)`
`EmbedderControls` | `doGenerateViewAfterStories(boolean generateViewAfterStories)`
`EmbedderControls` | `doIgnoreFailureInStories(boolean ignoreFailureInStories)`
`EmbedderControls` | `doIgnoreFailureInView(boolean ignoreFailureInReports)`
`EmbedderControls` | `doSkip(boolean skip)`
`EmbedderControls` | `doVerboseFailures(boolean verboseFailures)`
`EmbedderControls` | `doVerboseFiltering(boolean verboseFiltering)`
`boolean` | `generateViewAfterStories()`
`boolean` | `ignoreFailureInStories()`
`boolean` | `ignoreFailureInView()`
`boolean` | `skip()`
`long` | `storyTimeoutInSecs()`
`int` | `threads()`
`String` | `toString()`
`EmbedderControls` | `useStoryTimeoutInSecs(long storyTimeoutInSecs)`
`EmbedderControls` | `useThreads(int threads)`
`boolean` | `verboseFailures()`
`boolean` | `verboseFiltering()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### UnmodifiableEmbedderControls

    public UnmodifiableEmbedderControls(EmbedderControls delegate)

Method Detail

### batch

    public boolean batch()

  Overrides:
    `batch` in class `EmbedderControls`

### ignoreFailureInView

    public boolean ignoreFailureInView()

  Overrides:
    `ignoreFailureInView` in class `EmbedderControls`

### ignoreFailureInStories

    public boolean ignoreFailureInStories()

  Overrides:
    `ignoreFailureInStories` in class `EmbedderControls`

### generateViewAfterStories

    public boolean generateViewAfterStories()

  Overrides:
    `generateViewAfterStories` in class `EmbedderControls`

### skip

    public boolean skip()

  Overrides:
    `skip` in class `EmbedderControls`

### verboseFailures

    public boolean verboseFailures()

  Overrides:
    `verboseFailures` in class `EmbedderControls`

### verboseFiltering

    public boolean verboseFiltering()

  Overrides:
    `verboseFiltering` in class `EmbedderControls`

### storyTimeoutInSecs

    public long storyTimeoutInSecs()

  Overrides:
    `storyTimeoutInSecs` in class `EmbedderControls`

### threads

    public int threads()

  Overrides:
    `threads` in class `EmbedderControls`

### doBatch

    public EmbedderControls doBatch(boolean batch)

  Overrides:
    `doBatch` in class `EmbedderControls`

### doIgnoreFailureInView

    public EmbedderControls doIgnoreFailureInView(boolean ignoreFailureInReports)

  Overrides:
    `doIgnoreFailureInView` in class `EmbedderControls`

### doIgnoreFailureInStories

    public EmbedderControls doIgnoreFailureInStories(boolean ignoreFailureInStories)

  Overrides:
    `doIgnoreFailureInStories` in class `EmbedderControls`

### doGenerateViewAfterStories

    public EmbedderControls doGenerateViewAfterStories(boolean generateViewAfterStories)

  Overrides:
    `doGenerateViewAfterStories` in class `EmbedderControls`

### doSkip

    public EmbedderControls doSkip(boolean skip)

  Overrides:
    `doSkip` in class `EmbedderControls`

### doVerboseFailures

    public EmbedderControls doVerboseFailures(boolean verboseFailures)

  Overrides:
    `doVerboseFailures` in class `EmbedderControls`

### doVerboseFiltering

    public EmbedderControls doVerboseFiltering(boolean verboseFiltering)

  Overrides:
    `doVerboseFiltering` in class `EmbedderControls`

### useStoryTimeoutInSecs

    public EmbedderControls useStoryTimeoutInSecs(long storyTimeoutInSecs)

  Overrides:
    `useStoryTimeoutInSecs` in class `EmbedderControls`

### useThreads

    public EmbedderControls useThreads(int threads)

  Overrides:
    `useThreads` in class `EmbedderControls`

### toString

    public String toString()

  Overrides:
    `toString` in class `EmbedderControls`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2013. All Rights Reserved.